---
- name: Add GitLab Runner repository script
  command: curl -L "https://packages.gitlab.com/install/repositories/runner/gitlab-runner/script.deb.sh" | sudo bash
  args:
    creates: /etc/apt/sources.list.d/runner_gitlab-runner.list

- name: Install GitLab Runner and Helper packages
  ansible.builtin.apt:
    name: gitlab-runner
    state: present
    update_cache: yes
